%define url_ver %(echo %{version}|cut -d. -f1,2)

%define gir_major 1.0
%define libname %mklibname %{name} %{gir_major}
%define develname %mklibname -d %{name}
%define girname %mklibname %{name}-gir %{gir_major}

Summary:	IDE for writing GNOME-based software
Name:		gnome-builder
Version:	3.16.3
Release:	3

Group:		Editors 
License:	GPLv3+ and GPLv2+ and LGPLv3+ and LGPLv2+ and MIT and CC-BY-SA and CC0
URL:		https://wiki.gnome.org/Apps/Builder
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.16.1
BuildRequires:	pkgconfig(libdevhelp-3.0)
BuildRequires:	pkgconfig(libgit2-glib-1.0)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	appstream-util
BuildRequires:	llvm-devel
BuildRequires:	clang-devel
BuildRequires:	pkgconfig(python3)

Requires:	uncrustify
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}

%description
Builder attempts to be an IDE for writing software for GNOME. It does not try
to be a generic IDE, but one specialized for writing GNOME software.

%package -n %{libname}
Summary:        Library for the GData protocol
Group:          System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{libname}
This package contains the dynamic libraries from %{name}.

%package -n %{girname}
Group:          System/Libraries
Summary:        GObject Introspection interface library for %{name}
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Requires:	%{libname} = %{EVRD}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make V=1

%install
%makeinstall_std

find $RPM_BUILD_ROOT -name '*.la' -delete

%find_lang gnome-builder

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/org.gnome.Builder.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.Builder.desktop

%files -f gnome-builder.lang
%doc NEWS README COPYING
%{_bindir}/%{name}
%{_libexecdir}/%{name}/ide-*
# AppData is CC0.
%{_datadir}/appdata/org.gnome.Builder.appdata.xml
%{_datadir}/applications/org.gnome.Builder.desktop
%{_datadir}/dbus-1/services/org.gnome.Builder.service
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/gtksourceview-3.0/styles/builder*.xml
# CC-BY-SA.
%{_datadir}/icons/*/*/*/*
%{_datadir}/gtk-doc/html/libide/*

%files -n %{libname}
%{_libdir}/%{name}/libide-1.0.so

%files -n %{girname}
%{_libdir}/%{name}/girepository-1.0/Ide-1.0.typelib

%files -n %{develname}
%{_libdir}/pkgconfig/libide-1.0.pc
%{_datadir}/gir-1.0/Ide-1.0.gir

%changelog

* Sun Feb 19 2017 Denis Silakov <denis.silakov@rosalab.ru> 3.16.3-3
- (1c3ff4a) Rebuild


